/*******************************************************************************
 *  Copyright (c) 2010 Association for Decentralized Information Management in
 *  Industry THTH ry.
 *  All rights reserved. This program and the accompanying materials
 *  are made available under the terms of the Eclipse Public License v1.0
 *  which accompanies this distribution, and is available at
 *  http://www.eclipse.org/legal/epl-v10.html
 *
 *  Contributors:
 *      VTT Technical Research Centre of Finland - initial API and implementation
 *******************************************************************************/
package org.simantics.databoard.util;

import java.lang.reflect.Array;

public class ArrayUtils {
	
    /**
     * Drop elements from array 
     * 
     * @param src source array
     * @param elementsToDrop
     * @return src or new array 
     */
    @SuppressWarnings("unchecked")
	public static <T> T[] dropElements(T src[], T...elementsToDrop)
    {
        if (src.length==0) return src;
        int count = 0;
        nextA:
        for (T a : src) {
        	for (T b : elementsToDrop)
        		if (a==b) continue nextA;
        	count++;
        }
        if (count==src.length) return src;
        
        Class<?> componentClass = src.getClass().getComponentType();
        T[] result = (T[]) Array.newInstance(componentClass, count);
        if (count==0) return result;
        int index = 0;
        nextA2:
        for (T a : src) {
        	for (T b : elementsToDrop)
        		if (a==b) continue nextA2;
        	result[index++] = a;
        }
        return result;
    }    	
    
    /**
     * Replace first occurance of object with another
     * 
     * @param src
     * @param from
     * @param to
     */
    public static void replaceFirst(Object src[], Object from, Object to) {
    	for (int i=0; i<src.length; i++)
    		if (src[i] == from) {
    			src[i] = to;
    			return;
    		}
    }
}

